package com.yem.wm.bc.change.business.service;

import kd.bos.dataentity.entity.DynamicObject;

import java.util.HashMap;
import java.util.Map;

/**
 * @author 夜子
 * @ClassName XBillChangeService
 * @description: TODO
 * @date 2023年08月10日
 * @version: 1.0
 */
public class XBillChangeService implements IXBillChangeService {

    public Map<String, Map<String, String>> getXBillEntryAndOp() {
        Map<String, Map<String, String>> result = new HashMap<>();
        Map<String, String> value = new HashMap<>();
        value.put("entity", "billentry");
        value.put("entry_toolbar", "tbmainentry");
        value.put("btn_add", "addrow");
        value.put("btn_delete", "deleterow");
        value.put("btn_modify", "modifyrow");
        value.put("changetype", "billentrychangetype");
        value.put("srcid", "billentrysrcid");
        result.put("entity", value);
        return result;
    }

    public void beforeSrcBillChange(DynamicObject srcBill) {
    }

    public void afterSrcBillChange(DynamicObject xBill) {
    }
    public void beforeXBillBizValid(DynamicObject xBill) {
    }

    public void afterXBillBizValid(DynamicObject xBill) {
    }
    public void beforeXBillAudit(DynamicObject xBill) {
    }

    public void afterXBillAudit(DynamicObject xBill) {
    }

    public void beforeXBillSubmit(DynamicObject xBill) {
    }

    public void afterXBillSubmit(DynamicObject xBill) {
    }

    public void beforeXBillSave(DynamicObject xBill) {
    }

    public void afterXBillSave(DynamicObject xBill) {
    }

}
